﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Reflection;
using System.Text;
using Ploeh.AutoFixture;
using Ploeh.AutoFixture.Kernel;

namespace AutoFixture.Specimen
{
    class Program
    {
        static void Main(string[] args)
        {
            Fixture fixture = new Fixture();

            // use one of the two customizations here, but not both
            fixture.Customize<Account>(c => c.With(a => a.EmailAddresses, fixture.CreateMany<MailAddress>().Select(ma => ma.Address.ToString())));
            //fixture.Customizations.Add(new EmailAddressesStringSpecimenBuilder());

            var account1 = fixture.Create<Account>();

            System.Console.WriteLine(string.Format("{0}\n", account1));

            System.Console.ReadKey();
        }
    }
}
